<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>RxJS ForkJoin</title>
  </head>

  <body>
    <script src="rxjs.umd.js"></script>
    <script src="getSubscriber.js"></script>
    <script>
      const observable = rxjs.forkJoin([
        rxjs.of(1, 2, 3, 4),
        Promise.resolve(8),
        rxjs.timer(4000)
      ]);
      observable.subscribe(getSubscriber('ForkJoin'));
    </script>
  </body>
</html>
